# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Protected Attributes

# vl::StencilOp Class Reference

RenderState wrapping the OpenGL function glStencilOp() and glStencilOpSeparate(), see also http://www.opengl.org/sdk/docs/man/xhtml/glStencilOp.xml and http://www.opengl.org/sdk/docs/man/xhtml/glStencilOpSeparate.xml for more information. More...

`#include <Shader.hpp>`

Inheritance diagram for vl::StencilOp:

List of all members.

## Public Member Functions

| StencilOp (EStencilOp sfail=SO_KEEP, EStencilOp dpfail=SO_KEEP, EStencilOp dppass=SO_KEEP)
virtual const char * | className ()
| Returns the name of the class.
virtual ERenderState | type () const
virtual void | apply (const Camera *, OpenGLContext *ctx) const
| The parameter cameara is NULL if we are disabling the state, non-NULL if we are enabling it.
void | set (EPolygonFace face, EStencilOp sfail, EStencilOp dpfail, EStencilOp dppass)
EStencilOp | sFail_Front () const
EStencilOp | dpFail_Front () const
EStencilOp | dpPass_Front () const
EStencilOp | sFail_Back () const
EStencilOp | dpFail_Back () const
EStencilOp | dpPass_Back () const

## Protected Attributes

EStencilOp | mSFail_Front
EStencilOp | mSFail_Back
EStencilOp | mDpFail_Front
EStencilOp | mDpFail_Back
EStencilOp | mDpPass_Front
EStencilOp | mDpPass_Back

## Detailed Description

RenderState wrapping the OpenGL function glStencilOp() and glStencilOpSeparate(), see also http://www.opengl.org/sdk/docs/man/xhtml/glStencilOp.xml and http://www.opengl.org/sdk/docs/man/xhtml/glStencilOpSeparate.xml for more information.

See also:
  Shader, Effect, Actor, StencilMask, StencilFunc, vl::EN_STENCIL_TEST

Definition at line 848 of file Shader.hpp.

## Constructor & Destructor Documentation

vl::StencilOp::StencilOp | ( | EStencilOp | sfail = `SO_KEEP`,
|  | EStencilOp | dpfail = `SO_KEEP`,
|  | EStencilOp | dppass = `SO_KEEP`
| ) |  | `[inline]`

Definition at line 851 of file Shader.hpp.

References VL_DEBUG_SET_OBJECT_NAME.

## Member Function Documentation

virtual const char* vl::StencilOp::className | ( | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::RenderState.

Definition at line 858 of file Shader.hpp.

virtual ERenderState vl::StencilOp::type | ( | ) | const`[inline, virtual]`

Reimplemented from vl::RenderState.

Definition at line 859 of file Shader.hpp.

References vl::RS_StencilOp.

void StencilOp::apply | ( | const Camera * | camera,
|  | OpenGLContext * | ctx
| ) |  | const`[virtual]`

The parameter cameara is NULL if we are disabling the state, non-NULL if we are enabling it.

Implements vl::RenderState.

Definition at line 531 of file Shader.cpp.

References mDpFail_Back, mDpFail_Front, mDpPass_Back, mDpPass_Front, mSFail_Back, mSFail_Front, VL_CHECK_OGL, and vl::VL_glStencilOpSeparate().

void vl::StencilOp::set | ( | EPolygonFace | face,
|  | EStencilOp | sfail,
|  | EStencilOp | dpfail,
|  | EStencilOp | dppass
| ) |  | `[inline]`

Definition at line 861 of file Shader.hpp.

References vl::PF_BACK, vl::PF_FRONT, and vl::PF_FRONT_AND_BACK.

EStencilOp vl::StencilOp::sFail_Front | ( | ) | const`[inline]`

Definition at line 876 of file Shader.hpp.

EStencilOp vl::StencilOp::dpFail_Front | ( | ) | const`[inline]`

Definition at line 877 of file Shader.hpp.

EStencilOp vl::StencilOp::dpPass_Front | ( | ) | const`[inline]`

Definition at line 878 of file Shader.hpp.

EStencilOp vl::StencilOp::sFail_Back | ( | ) | const`[inline]`

Definition at line 879 of file Shader.hpp.

EStencilOp vl::StencilOp::dpFail_Back | ( | ) | const`[inline]`

Definition at line 880 of file Shader.hpp.

EStencilOp vl::StencilOp::dpPass_Back | ( | ) | const`[inline]`

Definition at line 881 of file Shader.hpp.

## Member Data Documentation

EStencilOp vl::StencilOp::mSFail_Front`[protected]`

Definition at line 883 of file Shader.hpp.

Referenced by apply().

EStencilOp vl::StencilOp::mSFail_Back`[protected]`

Definition at line 884 of file Shader.hpp.

Referenced by apply().

EStencilOp vl::StencilOp::mDpFail_Front`[protected]`

Definition at line 885 of file Shader.hpp.

Referenced by apply().

EStencilOp vl::StencilOp::mDpFail_Back`[protected]`

Definition at line 886 of file Shader.hpp.

Referenced by apply().

EStencilOp vl::StencilOp::mDpPass_Front`[protected]`

Definition at line 887 of file Shader.hpp.

Referenced by apply().

EStencilOp vl::StencilOp::mDpPass_Back`[protected]`

Definition at line 888 of file Shader.hpp.

Referenced by apply().

The documentation for this class was generated from the following files:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/Shader.hpp
- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/Shader.cpp

Visualization Library v2011.05.1142 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu May 26 2011 22:51:46.
Permission is granted to use this page to write and publish articles regarding Visualization Library.